Get template
curl --request GET \
--url https://api.blaxel.ai/v0/templates/{templateName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/templates/{templateName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/templates/{templateName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"defaultBranch": "main",
"description": "A starter template for building LangChain agents",
"downloadCount": 1200,
"forksCount": 45,
"icon": "<string>",
"iconDark": "<string>",
"name": "langchain-agent",
"sha": "<string>",
"starCount": 150,
"topics": [
"<string>"
],
"url": "https://github.com/blaxel-ai/template-langchain-agent",
"variables": [
{
"description": "OpenAI API key for the agent",
"integration": "openai",
"name": "OPENAI_API_KEY",
"path": ".env",
"secret": true
}
]
}templates
Get template
Returns detailed information about a deployment template including its configuration, source code reference, and available parameters.
GET
/
templates
/
{templateName}
Get template
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Path Parameters
Name of the template
Response
200 - application/json
successful operation
Blaxel template
Default branch of the template
Example:
"main"
Description of the template
Example:
"A starter template for building LangChain agents"
Number of downloads/clones of the repository
Example:
1200
Number of forks the repository has
Example:
45
URL to the template's icon
URL to the template's icon in dark mode
Name of the template
Example:
"langchain-agent"
SHA of the variable
Number of stars the repository has
Example:
150
Topic of the template
URL of the template
Example:
"https://github.com/blaxel-ai/template-langchain-agent"
Variables of the template
Show child attributes
Show child attributes
Last modified on September 3, 2026
Was this page helpful?
